Summary:	X.org video driver for Matrox video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Matrox
Name:		xorg-driver-video-mga
Version:	2.0.0
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-mga-%{version}.tar.bz2
# Source0-md5:	b8fc99b4adea8bfe80156b13df4b6c9c
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
# checked, but not used
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.3.0
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-libdri >= 1.3.0
Requires:	xorg-xserver-libglx >= 1.3.0
Requires:	xorg-xserver-server >= 1.3.0
Provides:	xorg-driver-video
Obsoletes:	X11-driver-mga < 1:7.0.0
Obsoletes:	XFree86-driver-mga < 1:7.0.0
Obsoletes:	XFree86-mga
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Matrox video adapters. It supports PCI and AGP
video cards based on the following Matrox chips:
- MGA2064W,
- MGA1064SG (Mystique),
- MGA2164W (Millennium II),
- G100 (Productiva G100),
- G200 (Millennium G200 and Mystique G200),
- G400 (Millenium G400, Millenium G400 MAX, Millenium G450 and Marvel
  G450 eTV),
- G550 (Milenium G550 and Millenium G500 Dual DVI).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Matrox. Obsługuje karty
PCI i AGP oparte na następujących układach Matroksa:
- MGA2064W,
- MGA1064SG (Mystique),
- MGA2164W (Millennium II),
- G100 (Productiva G100),
- G200 (Millennium G200 i Mystique G200),
- G400 (Millenium G400, Millenium G400 MAX, Millenium G450 i Marvel
  G450 eTV),
- G550 (Milenium G550 i Millenium G500 Dual DVI).

%prep
%setup -q -n xf86-video-mga-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/mga_drv.so
%{_mandir}/man4/mga.4*
%changelog
* Sat Jun 01 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-mga.git;a=log;h=master

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> ad4c853
- updated to 2.0.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 8481e88
- release 2 (by relup.sh)

* Fri Jan 20 2017 Jakub Bogusz <qboosh@pld-linux.org> 0fe1c1b
- updated to 1.6.5
- removed obsolete xserver-1.19 patch

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 46af2ff
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> e571f29
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 27ce9f7
- release 2 (by relup.sh)

* Sun Feb 22 2015 Jan Rękorajski <baggins@pld-linux.org> 2a9a455
- up to 1.6.4

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ca5387
- due to xserver 1.17
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cc0e886
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4494c2e
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> e82ee8f
- release 2 (by relup.sh)

* Thu Dec 05 2013 Jakub Bogusz <qboosh@pld-linux.org> db4e176
- updated to 1.6.3

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 5da6189
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 753b9ac
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> b4c69e0
- updated to 1.6.2

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d45731
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 49abd74
- updated to 1.6.1

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 67c5e56
- updated to 1.6.0

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> d8b6909
- updated to 1.5.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c7ce98
- release 6

